jQuery Color Color for jQuery and jQuery Mobile

You are looking at v3 demos, switch to Mobiscroll 4?

Color for jQuery and jQuery Mobile

light
dark

Change the theme setting here

Color - Single/multiple select

Change demo
Single/multiple select
JQuery Single and multiple color select from a predefined set of colors. Custom set can be used. With source code. For jQuery or jQuery Mobile.

Color - Swipe direction

Change demo
Swipe direction
JQuery Color picker demo with a predefined set of colors. Supporting both horizontal and vertical scrolling. With source code. For jQuery or jQuery Mobile.

Color - Refine

Change demo
Refine
JQuery Color picker demo for selecting and setting the luminosity for a single color with a slider. For desktop & mobile. For jQuery or jQuery Mobile.

Color - Custom colors

Change demo
Custom colors
JQuery Color picker demo with selection from a custom set of colors. Use it on both mobile & desktop. For jQuery or jQuery Mobile.

Color - Multiple select count

Change demo
Multiple select count
JQuery Multiple color select with a maximum of six available slots. Custom set can be used. Use it on desktop & mobile. For jQuery or jQuery Mobile.

Color - Color format

Change demo
Color format
JQuery Color picker demo with support for value format in HEX, HSL and RGB. Return and work with the color value. For jQuery or jQuery Mobile.
mobiscroll.settings = {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    enhance: false
};

$(function () {

    $('#demo').mobiscroll().color({
        format: 'hex'
    });

    $('#demo-rgb').mobiscroll().color({
        format: 'rgb'
    });

    $('#demo-hsl').mobiscroll().color({
        format: 'hsl'
    });

});
<div style="display:none" mbsc-form>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Color formats</div>
        <label>
            Hex
            <input id="demo" placeholder="Please Select..." />
        </label>
        <label>
            RGB
            <input id="demo-rgb" type="text" placeholder="Please Select..." />
        </label>
        <label>
            HSL
            <input id="demo-hsl" type="text" placeholder="Please Select..." />
        </label>
    </div>
</div>

Color - Event handlers

Change demo
Event handlers
JQuery Color picker for mobile and desktop demo with event hooks for custom integration and functionality. For jQuery or jQuery Mobile.
Clear event log
EVENTS FIRED: 

Color - Display modes

Change demo
Display modes
JQuery Color picker for mobile and desktop with top, bottom, popup, center, modal, bubble and inline embeddable display. For jQuery or jQuery Mobile.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Color Color for React

You are looking at v3 demos, switch to Mobiscroll 4?

Color for React

light
dark

Change the theme setting here

Color - Single/multiple select

Change demo
Single/multiple select
React Single and multiple color select from a predefined set of colors. Custom set can be used. With source code. For React and Next.JS.

Color - Swipe direction

Change demo
Swipe direction
React Color picker demo with a predefined set of colors. Supporting both horizontal and vertical scrolling. With source code. For React and Next.JS.

Color - Refine

Change demo
Refine
React Color picker demo for selecting and setting the luminosity for a single color with a slider. For desktop & mobile. For React and Next.JS.

Color - Custom colors

Change demo
Custom colors
React Color picker demo with selection from a custom set of colors. Use it on both mobile & desktop. For React and Next.JS.

Color - Multiple select count

Change demo
Multiple select count
React Multiple color select with a maximum of six available slots. Custom set can be used. Use it on desktop & mobile. For React and Next.JS.

Color - Color format

Change demo
Color format
React Color picker demo with support for value format in HEX, HSL and RGB. Return and work with the color value. For React and Next.JS.
mobiscroll.settings = {
    theme: ' ',
    themeVariant: ' ',
    lang: ' '
};

var ColorDemo = React.createClass({
    render: function() {
        return (
            <mobiscroll.Form>
                <div className="mbsc-form-group">
                    <div className="mbsc-form-group-title">Color formats</div>
                    <label>
                        Hex
                        <mobiscroll.Color
                            format="rgb"
                            enhance={false}
                            placeholder="Please Select..."
                        />
                    </label>
                    <label>
                        Rgb
                        <mobiscroll.Color
                            format="rgb"
                            enhance={false}
                            placeholder="Please Select..."
                        />
                    </label>
                    <label>
                        Hsl
                        <mobiscroll.Color
                            format="hsl"
                            enhance={false}
                            placeholder="Please Select..."
                        />
                    </label>
                </div>
            </mobiscroll.Form>
        );
    }   
});

<div id="content"></div>

Color - Event handlers

Change demo
Event handlers
React Color picker for mobile and desktop demo with event hooks for custom integration and functionality. For React and Next.JS.
Clear event log
EVENTS FIRED: 

Color - Display modes

Change demo
Display modes
React Color picker for mobile and desktop with top, bottom, popup, center, modal, bubble and inline embeddable display. For React and Next.JS.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

Angular and Ionic Color Color for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Color for Angular and Ionic Framework

light
dark

Change the theme setting here

Color - Single/multiple select

Change demo
Single/multiple select
Angular Single and multiple color select from a predefined set of colors. Custom set can be used. With source code. For Angular 22 and Ionic 8.

Color - Swipe direction

Change demo
Swipe direction
Angular Color picker demo with a predefined set of colors. Supporting both horizontal and vertical scrolling. With source code. For Angular 22 and Ionic 8.

Color - Refine

Change demo
Refine
Angular Color picker demo for selecting and setting the luminosity for a single color with a slider. For desktop & mobile. For Angular 22 and Ionic 8.

Color - Custom colors

Change demo
Custom colors
Angular Color picker demo with selection from a custom set of colors. Use it on both mobile & desktop. For Angular 22 and Ionic 8.

Color - Multiple select count

Change demo
Multiple select count
Angular Multiple color select with a maximum of six available slots. Custom set can be used. Use it on desktop & mobile. For Angular 22 and Ionic 8.

Color - Color format

Change demo
Color format
Angular Color picker demo with support for value format in HEX, HSL and RGB. Return and work with the color value. For Angular 22 and Ionic 8.
import { mobiscroll } from './app.module';

mobiscroll.settings = {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    enhance: false
};

@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})
export class AppComponent {
    colorHex: string;
    colorRGB: string;
    colorHSL: string;
    colorHexSettings: any = {
        format: 'hex'
    };
    colorRGBSettings: any = {
        format: 'rgb'
    };
    colorHSLSettings: any = {
        format: 'hsl'
    };
}
<mbsc-form>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Color formats</div>
        <mbsc-input [(ngModel)]="colorHex" mbsc-color [mbsc-options]="colorHexSettings">Hex</mbsc-input>
        <mbsc-input [(ngModel)]="colorRGB" mbsc-color [mbsc-options]="colorRGBSettings">RGB</mbsc-input>
        <mbsc-input [(ngModel)]="colorHSL" mbsc-color [mbsc-options]="colorHSLSettings">HSL</mbsc-input>
    </div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Color - Event handlers

Change demo
Event handlers
Angular Color picker for mobile and desktop demo with event hooks for custom integration and functionality. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 

Color - Display modes

Change demo
Display modes
Angular Color picker for mobile and desktop with top, bottom, popup, center, modal, bubble and inline embeddable display. For Angular 22 and Ionic 8.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos